MCP Tools Reference: ces.googleapis.com

Alat: start_export_app

Mulai mengekspor aplikasi CES

Contoh berikut menunjukkan cara menggunakan curl untuk memanggil alat MCP start_export_app.

Permintaan Curl
                  
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "start_export_app",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Skema Input

Pesan permintaan untuk McpService.StartExportApp.

StartExportAppRequest

Representasi JSON
{
  "projectId": string,
  "locationId": string,
  "appId": string
}
Kolom
projectId

string

ID project aplikasi yang akan diekspor.

locationId

string

ID lokasi aplikasi yang akan diekspor.

appId

string

ID aplikasi yang akan diekspor.

Skema Output

Operasi yang mengekspor aplikasi CES.

ExportAppOperation

Representasi JSON
{
  "name": string,
  "done": boolean,
  "content": string
}
Kolom
name

string

Nama resource operasi aplikasi ekspor.

done

boolean

Apakah operasi sudah selesai.

content

string (bytes format)

Jika [done] benar (true), berisi byte file zip dari ekspor aplikasi yang dikompresi, yang merupakan folder yang berisi file konfigurasi aplikasi dalam format yaml.

String berenkode base64.

Anotasi Alat

Petunjuk Destruktif: ❌ | Petunjuk Idempoten: ❌ | Petunjuk Hanya Baca: ❌ | Petunjuk Dunia Terbuka: ❌